from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name="RedXSecureUpdater",
    version="0.2.0",
    author="RedX Development",
    author_email="support@redxdev.com",
    description="A comprehensive Python package for secure automatic project updates",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/redxdev/RedXSecureUpdater",
    project_urls={
        "Documentation": "https://redxsecureupdater.readthedocs.io/",
        "Bug Tracker": "https://github.com/redxdev/RedXSecureUpdater/issues",
    },
    packages=find_packages(include=['redx_secure_updater', 'redx_secure_updater.*']),
    include_package_data=True,
    classifiers=[
        "Development Status :: 4 - Beta",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.11",
        "Topic :: Software Development :: Libraries :: Python Modules",
        "Topic :: System :: Software Distribution",
        "Topic :: System :: Systems Administration",
    ],
    python_requires=">=3.11",
    install_requires=[
        "watchdog>=3.0.0",
        "rich>=13.0.0",
        "schedule>=1.2.0",
        "requests>=2.25.0",
        "packaging>=23.0"
    ],
    entry_points={
        'console_scripts': [
            'redx-update=redx_secure_updater.cli:main',
        ],
    }
)